1

I want to compile the gnome-settings-daemon with a modified DPI constant. For that I've cloned the repository, applied the change and created a configure script through autogen.sh.

When I tried to execute configure, it complained about a few unmet dependencies, specifically gsettings-desktop-schemas >= 3.23.3.

To remedy that, I've tried installing gsettings-desktop-schemas-dev from apt. That only gave me the version 3.18.1, which seems to be the main release for Xenial (16.04).

How can I install the required version?

0

You did it wrong.

You should download xenial's version:

  1. Get its build-dependencies with sudo apt-get build-dep gnome-settings-daemon
  2. Get its source sudo apt-get source gnome-settings-daemon
  3. Patch the source (yours "applied the change")
  4. Change configure options and run ./configure ...
  5. Create custom deb-package with these options.
  6. Install self-compiled custom package.

I hope you got idea.

  • 1
    Thanks, nice one. I'd suggest you to add the steps 5 and 6 for people like me who struggle to figure out how it's done :) I ran sudo make and sudo checkinstall (checkinstall needs to be installed separately through apt) – illright Dec 18 '17 at 11:38

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.